<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: selectedEncounter
                       selectedMovement
                       event: code of the current insert event
                       managedBean: the backing bean to call -->
    <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
            <div class="row">
                <h:outputText value="#{selectedEncounter.visitNumber}"/>
                <span style="width: 5px"/>
                <h:outputLink value="#{selectedEncounter.getPermanentLink()}" target="blank">
                    <s:span styleClass="gzl-icon-search"/>
                </h:outputLink>
            </div>
        </s:decorate>
    </dl>
    <div class="form-horizontal">
                <!-- Planned date for pending transfer -->
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" rendered="#{event.equals('A15')}">
            <ui:define name="label">#{messages['gazelle.simulator.pam.PlannedDatetime']}</ui:define>
            <ui:param name="id" value="plannedDate"/>
            <a4j:outputPanel id="plannedDate" layout="block">
                <rich:calendar value="#{selectedEncounter.transferPlannedDate}" locale="#{localeSelector.localeString}"
                               datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" style="width:200px">
                </rich:calendar>
            </a4j:outputPanel>
        </s:decorate>
    </div>
</ui:composition>
